Move all to deprecated folder.

This commit is contained in:
2016-11-16 21:57:57 +01:00
parent 01738a7684
commit 05de7d6c04
9777 changed files with 0 additions and 0 deletions

View File

@@ -0,0 +1,9 @@
config BR2_PACKAGE_HAVEGED
bool "haveged"
depends on BR2_USE_MMU # fork()
help
The haveged project is an attempt to provide an easy-to-use,
unpredictable random number generator based upon an adaptation
of the HAVEGE algorithm.
http://www.issihosts.com/haveged/

View File

@@ -0,0 +1,25 @@
#!/bin/sh
[ -x /usr/sbin/haveged ] || exit 0
case "$1" in
start)
printf "Starting haveged: "
start-stop-daemon -S -x /usr/sbin/haveged -- -w 1024 -r 0
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
stop)
printf "Stopping haveged: "
start-stop-daemon -K -x /usr/sbin/haveged
[ $? = 0 ] && echo "OK" || echo "FAIL"
;;
restart|reload)
$0 stop
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart}"
exit 1
esac
exit 0

View File

@@ -0,0 +1,2 @@
# From http://www.issihosts.com/haveged/verify/haveged-1.9.1.sha1
sha1 ab7234b7f57dbb7d500a5ab3cbf0494715ce6499 haveged-1.9.1.tar.gz

View File

@@ -0,0 +1,29 @@
################################################################################
#
# haveged
#
################################################################################
HAVEGED_VERSION = 1.9.1
HAVEGED_SITE = http://www.issihosts.com/haveged
HAVEGED_LICENSE = GPLv3+
HAVEGED_LICENSE_FILES = COPYING
ifeq ($(BR2_sparc_v8)$(BR2_sparc_leon3),y)
HAVEGED_CONF_OPTS += --enable-clock_gettime=yes
endif
define HAVEGED_INSTALL_INIT_SYSV
$(INSTALL) -m 755 -D package/haveged/S21haveged \
$(TARGET_DIR)/etc/init.d/S21haveged
endef
define HAVEGED_INSTALL_INIT_SYSTEMD
$(INSTALL) -D -m 644 package/haveged/haveged.service \
$(TARGET_DIR)/usr/lib/systemd/system/haveged.service
mkdir -p $(TARGET_DIR)/etc/systemd/system/multi-user.target.wants
ln -fs /usr/lib/systemd/system/haveged.service \
$(TARGET_DIR)/etc/systemd/system/multi-user.target.wants/haveged.service
endef
$(eval $(autotools-package))

View File

@@ -0,0 +1,10 @@
[Unit]
Description=Entropy Harvesting Daemon
Documentation=man:haveged(8)
[Service]
ExecStart=/usr/sbin/haveged -F -w 1024 -v 1
SuccessExitStatus=143
[Install]
WantedBy=multi-user.target